function Bulbs_process( v )
	if v.y > -150 then
		v.speed = 0
		ProcessBackground = nil
		for i=1,2 do
			players[i].lock_controls = false
		end
	end
end

function Bulbs_destroy( x, y, v )
	if v.type == "red" then
		red_destroyed = true
	else
		green_destroyed = true
	end
end

function CreateBulbs()
	red_destroyed = false
	green_destroyed = false
	for i=1,2 do
		players[i].lock_controls = true
		players[i].mortal = false
	end
	local spr = CreateSprite( "bulbs", -150, -600 )
	SetObjAnim( spr, 0, false )
	table.insert( enemies,
		{
			sprite = spr,
			x = -100,
			y = -1800,
			size = 25,
			speed = 2,
			score = 100,
			vel = {0, 1},
			type = "red",
			process = Bulbs_process,
			destroy = Bulbs_destroy
		})

	spr = CreateSprite( "bulbs",  150, -600 )
	SetObjAnim( spr, 1, false )
	table.insert( enemies,
		{
			sprite = spr,
			x =  100,
			y = -1800,
			size = 25,
			speed = 2,
			score = 100,
			vel = {0, 1},
			type = "green",
			process = Bulbs_process,
			destroy = Bulbs_destroy
		})

end